// JavaScript Document
$(document).ready(function(){
	var url=$("#url").val();
	$.post("../global/flink.php",{url:url},function(data){
				var alldata=data.split("|");
				$("#flinkt").html(alldata[0]);
				for(var i=0;i<=alldata[1];i++){
					var surl=$("#url"+i).html();
					var n=i;
				  $.post("../global/baidu.php?b=n",{url:surl,n:n},function(baidu){
							var baidu=baidu.split("|");
							var s=baidu[1];
							if(baidu[0].length>40)
							$("#baidu"+s).html("提取失败");
							else{
								if(baidu[0]>99)
						$("#baidu"+s).html(baidu[0]);
						    else
							$("#baidu"+s).html("<font color=\"red\">"+baidu[0]+"</font>");
						}
						
																   });
				 /* $.post("../global/google.php?g=n",{url:surl,n:n},function(google){
							var google=google.split("|");
							var s=google[1];
							if(google[0].length>40)
							$("#google"+s).html("提取失败");
							else
						    $("#google"+s).html(google[0]);
						
																   });
				 */
				  $.post("../global/alexa.php?a=n",{url:surl,n:n},function(alexa){
							var alexa=alexa.split("|");
							var s=alexa[1];
							if(alexa[0].length>40)
							$("#alexa"+s).html("提取失败");
							else
						$("#alexa"+s).html(alexa[0]);
							
																   });
				  $.post("../global/pr.php?p=n",{url:surl,n:n},function(pr){
							var pr=pr.split("|");
							var s=pr[1];
							if(pr[0].length>40)
							$("#pr"+s).html("提取失败");
							else
						$("#pr"+s).html(pr[0]);
						
																   });
				  $.post("../global/fstate.php?f=n",{url:surl,n:n},function(state){
							var state=state.split("|");
							var s=state[1];
							if(state[0].length>40)
							$("#state"+s).html("提取失败");
							else{
								if(state[0]=="正常")
						$("#state"+s).html(state[0]);
							else
							$("#state"+s).html("<font color=\"red\">"+state[0]+"</font>");
							}
						
																   });
				  $.post("../global/kuaizhao.php?f=n",{url:surl,n:n},function(kuaizhao){
							var kuaizhao=kuaizhao.split("|");
							var s=kuaizhao[1];
							if(kuaizhao[0].length>40)
							$("#kuaizhao"+s).html("提取失败");
							else{
								if(kuaizhao[0]=="当天快照"||kuaizhao[0]=="1天前快照"||kuaizhao[0]=="2天前快照"||kuaizhao[0]=="3天前快照")
						$("#kuaizhao"+s).html(kuaizhao[0]);
							else
							$("#kuaizhao"+s).html("<font color=\"red\">"+kuaizhao[0]+"</font>");
							}
						
																   });
					}
													});
						   
						   });
